> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pavewaygroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Payout

> Send an on-demand payout from your available Pursar balance to a registered payout destination.

Initiate an on-demand payout from your available balance to a registered bank account or mobile money destination.

***

### Request Body

**amount** `integer | string` *required*

The amount to disburse (e.g. `100000`).

**currency** `string` *required*

Three-letter ISO currency code (`XAF`, `XOF`, `GHS`, `KES`, `USD`, `EUR`). Must match the destination currency.

**payout\_method\_id** `string` *required*

Identifier of the registered payout method (`pm_...`).

**description** `string`

An arbitrary string describing the payout for reconciliation statements.

**metadata** `object`

Key-value pairs for internal accounting or payroll reference tags.

***

### Code Examples

```bash cURL theme={null}
curl -X POST https://api.viarosandbox.com/v1/payouts \
  -u sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG: \
  -H "Content-Type: application/json" \
  -d '{
    "amount": 100000,
    "currency": "XAF",
    "payout_method_id": "pm_bank_afriland_01",
    "description": "Weekly merchant payout"
  }'
```

```python Python theme={null}
import requests

url = "https://api.viarosandbox.com/v1/payouts"
auth = ("sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG", "")

payload = {
    "amount": 100000,
    "currency": "XAF",
    "payout_method_id": "pm_bank_afriland_01",
    "description": "Weekly merchant payout"
}

response = requests.post(url, auth=auth, json=payload)
print(response.json())
```

```javascript Node.js theme={null}
const axios = require('axios');

async function createPayout() {
  const response = await axios.post(
    'https://api.viarosandbox.com/v1/payouts',
    {
      amount: 100000,
      currency: 'XAF',
      payout_method_id: 'pm_bank_afriland_01',
      description: 'Weekly merchant payout'
    },
    {
      auth: {
        username: 'sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG',
        password: ''
      }
    }
  );

  console.log(response.data);
}

createPayout();
```

***

### Response

```json theme={null}
{
  "id": "po_7a1b2c3d4e5f",
  "object": "payout",
  "amount": 100000,
  "currency": "XAF",
  "status": "pending",
  "arrival_date": "2026-11-06T18:00:00Z",
  "description": "Weekly merchant payout",
  "destination": "pm_bank_afriland_01",
  "method": "standard",
  "created_at": "2026-11-06T12:00:00Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.